/***************************************************************************
 *   Copyright (C) 2007 by David Torres   *
 *   aiken669@gmail.com   *
 ***************************************************************************/
#ifndef EVAL_FUNCTIONS_H
#define EVAL_FUNCTIONS_H

#include "ow_board.h"

/**
	@author David Torres <aiken669@gmail.com>
*/

// Simple eval functions
int evalfunc_random(ow_board *owboard, int boardside);
int evalfunc_material(ow_board *owboard, int  boardside);
int evalfunc_dispersion(ow_board *owboard, int boardside);
int evalfunc_mobility(ow_board *owboard, int boardside);
int evalfunc_reachfront(ow_board *owboard, int boardside);

// Linear Combined eval functions
int evalfunc_F1comb(ow_board *owboard, int boardside);
int evalfunc_F2comb(ow_board *owboard, int boardside);


#endif
